libzypp 17.37.10

Arch.h File Reference
`#include <iosfwd>`
`#include <functional>`
`#include <set>`
`#include <string>`
`#include <zypp/base/String.h>`
`#include <zypp/base/Iterator.h>`
`#include <zypp/IdStringType.h>`
`#include <zypp/RelCompare.h>`

Go to the source code of this file.

## Classes
class | zypp::Arch
| Architecture. More...
struct | zypp::ArchCompatibleWith
| Functor finding compatible architectures. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | std

## Variables
Builtin architecture constants.
Defined outside Arch as e.g. `Arch_i386`, because some names, like `i388`, are used as `#define`, thus unusable as identifier like `Arch::i386`.
const Arch Arch_armv7hnl Arch_armv7nhl | zypp::ZYPP_API